Skip to main content
GET
Get Order

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reference
string
required

Unique order reference in your system.

Response

200 - application/json

Delivery order details

Represents the response payload for an order after it has been created, retrieved, or canceled.

referenceNumber
string
required

Unique order reference in your system.

Example:

"ORD0001"

total
number<float>
required

Total amount of the order including delivery fees.

Example:

98150

deliveryFee
number<float>
required

Fee for delivering the order.

Example:

1500

status
string
required

Current status of the order.

Example:

"pending"

createdAt
string<date-time>
required

Timestamp when the order was created.

Example:

"2025-06-05T07:05:21.000Z"

updatedAt
string<date-time>
required

Timestamp when the order was last updated.

Example:

"2025-06-05T07:05:21.000Z"

recipient
object
required

Details of the recipient receiving the order.

items
object[]
required

List of items included in the order.

deliveryInstructions
string | null

Special instructions for the delivery process.

Example:

"Livrer à midi"

receiptUrl
string<uri> | null

URL to a printable PDF receipt for the order. If not provided, Express will generate a receipt from the order data.

Example:

"https://example.com/receipts/ORD0001.pdf"

deliveryDeadline
string<date-time> | null

The latest date by which the delivery should be completed.

Example:

"2025-06-05"

statusComment
string | null

Optional comments related to the order status.

Example:

null